Foreman - Bug #5929

Taxonomy selectors do not obey assign_$taxonomy permissions
05/26/2014 02:34 PM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Users, Roles and Permissions
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1479
Description

Wherever we display taxonomy select boxes we display all taxonomies regardless what user can assign. We should display only
records that user can assign (there are two permissions for this purpose - assign_organizations and assign_locations).

Related issues:

Related to Foreman - Bug #14184: Non-admin user can't create filters for not ... Closed 03/14/2016
Blocks Foreman - Feature #3193: Allow compartmentalisation/filtering of permi... Resolved 10/03/2013
Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 95239600 - 09/02/2014 03:14 AM - Marek Hulan

Fixes #5929 - Taxonomy filter obey permissions

With this patch you can assign permissions like assign_organizations and
assign_locations to particular user so that they can then assign
taxonomies

only from set of taxonomies granted by their filters.

Global users would be still able to assign any taxonomy to a resource as

long as they have appropriate assign permissions. They can also leave
the resource global.

History

#1 - 05/26/2014 02:34 PM - Marek Hulan

- Blocks Feature #3193: Allow compartmentalisation/filtering of permissions by Organistion/Location added

#2 - 05/26/2014 02:35 PM - Marek Hulan

- Blocks Tracker #4552: New permissions/authorization system issues added

#3 - 05/26/2014 02:40 PM - Marek Hulan
- Status changed from Assigned to Ready For Testing

PR https://github.com/theforeman/foreman/pull/1479

#4 - 05/27/2014 08:24 AM - Dominic Cleal

- Target version set to 1.8.2

#5 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#6 - 07/07/2014 07:22 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0
https://github.com/theforeman/foreman/pull/1479

#7 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#8 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#9 - 09/01/2014 09:19 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1479 added

#10 - 09/02/2014 03:29 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#11 - 09/02/2014 04:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 952396005dadab63a81cb4763e0a3dab3c3{204f.

#12 - 03/14/2016 09:04 AM - Marek Hulan

- Related to Bug #14184: Non-admin user can't create filters for not taxable resources added
